Package org.opencv.features

## Class AffineFeature

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.features.Feature2D
    - - org.opencv.features.AffineFeature

-     public class AffineFeature
      extends Feature2D

  Class for implementing the wrapper which makes detectors and extractors to be affine invariant, described as ASIFT in CITE: YM11 .

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AffineFeature​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AffineFeature` | `__fromPtr__​(long addr)` |
    `static AffineFeature` | `create​(Feature2D backend)` |
    `static AffineFeature` | `create​(Feature2D backend, int maxTilt)` |
    `static AffineFeature` | `create​(Feature2D backend, int maxTilt, int minTilt)` |
    `static AffineFeature` | `create​(Feature2D backend, int maxTilt, int minTilt, float tiltStep)` |
    `static AffineFeature` | `create​(Feature2D backend, int maxTilt, int minTilt, float tiltStep, float rotateStepBase)` |
    `protected void` | `finalize()` |
    `java.lang.String` | `getDefaultName()` | Returns the algorithm string identifier.
    `void` | `getViewParams​(MatOfFloat tilts, MatOfFloat rolls)` |
    `void` | `setViewParams​(MatOfFloat tilts, MatOfFloat rolls)` |

    - ### Methods inherited from class org.opencv.features.Feature2D

      `compute, compute, defaultNorm, descriptorSize, descriptorType, detect, detect, detect, detect, detectAndCompute, detectAndCompute, empty, read, write`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AffineFeature

          protected AffineFeature​(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static AffineFeature __fromPtr__​(long addr)

    - #### create

          public static AffineFeature create​(Feature2D backend,
                                             int maxTilt,
                                             int minTilt,
                                             float tiltStep,
                                             float rotateStepBase)

      Parameters:
        `backend` - The detector/extractor you want to use as backend.
        `maxTilt` - The highest power index of tilt factor. 5 is used in the paper as tilt sampling range n.
        `minTilt` - The lowest power index of tilt factor. 0 is used in the paper.
        `tiltStep` - Tilt sampling step \(\delta_t\) in Algorithm 1 in the paper.
        `rotateStepBase` - Rotation sampling step factor b in Algorithm 1 in the paper.
      Returns:
        automatically generated

    - #### create

          public static AffineFeature create​(Feature2D backend,
                                             int maxTilt,
                                             int minTilt,
                                             float tiltStep)

      Parameters:
        `backend` - The detector/extractor you want to use as backend.
        `maxTilt` - The highest power index of tilt factor. 5 is used in the paper as tilt sampling range n.
        `minTilt` - The lowest power index of tilt factor. 0 is used in the paper.
        `tiltStep` - Tilt sampling step \(\delta_t\) in Algorithm 1 in the paper.
      Returns:
        automatically generated

    - #### create

          public static AffineFeature create​(Feature2D backend,
                                             int maxTilt,
                                             int minTilt)

      Parameters:
        `backend` - The detector/extractor you want to use as backend.
        `maxTilt` - The highest power index of tilt factor. 5 is used in the paper as tilt sampling range n.
        `minTilt` - The lowest power index of tilt factor. 0 is used in the paper.
      Returns:
        automatically generated

    - #### create

          public static AffineFeature create​(Feature2D backend,
                                             int maxTilt)

      Parameters:
        `backend` - The detector/extractor you want to use as backend.
        `maxTilt` - The highest power index of tilt factor. 5 is used in the paper as tilt sampling range n.
      Returns:
        automatically generated

    - #### create

          public static AffineFeature create​(Feature2D backend)

      Parameters:
        `backend` - The detector/extractor you want to use as backend.
      Returns:
        automatically generated

    - #### setViewParams

          public void setViewParams​(MatOfFloat tilts,
                                    MatOfFloat rolls)

    - #### getViewParams

          public void getViewParams​(MatOfFloat tilts,
                                    MatOfFloat rolls)

    - #### getDefaultName

          public java.lang.String getDefaultName()

      Description copied from class: `Algorithm`
      Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string.
      Overrides:
        `getDefaultName` in class `Feature2D`
      Returns:
        automatically generated

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Feature2D`
      Throws:
        `java.lang.Throwable`